package com.adealink.weparty.module.room.listener

import com.adealink.weparty.module.profile.data.UserInfo

interface IMemberInfoListener {

    fun getMemberInfo(uid: String, callback: (UserInfo?) -> Unit)
    fun getMembersInfo(uidSet: Set<String>, callback: (Map<String, UserInfo>) -> Unit)
//    fun getMemberRole(uid: String, callback: (MemberRoomRole?) -> Unit)
}